Subject: Re: [PATCH 00/10 net-next v2] Convert CONFIG_IPV6 to built-in and remove stubs

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Mar 2026 20:01:05 -0700

On Tue, 10 Mar 2026 16:34:23 +0100 Fernando Fernandez Mancera wrote:
> Historically, the Linux kernel has supported compiling the IPv6 stack as
> a loadable module. While this made sense in the early days of IPv6
> adoption, modern deployments and distributions overwhelmingly either
> build IPv6 directly into the kernel (CONFIG_IPV6=y) or disable it
> entirely (CONFIG_IPV6=n). The modular IPv6 use-case offers image size
> and memory savings for specific setups, this benefit is outweighed by
> the architectural burden it imposes on the subsystems on implementation
> and maintenance.

Would you mind also listing in the cover letter the examples folks have
provided on the RFC of distros etc validating that this is a common
choice even for openwrt these days? Also I quite like Geert's analysis
of kernel growing by this much anyway so this isn't a huge jump :)

When you repost could you trim the "(open list:.." stuff form the CC
lists? For lists just the email addr is enough, no need to quote the
rest of get_maintainers output.